summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUbuntu <ubuntu@ip-172-31-25-209.ec2.internal>2023-02-23 03:13:40 +0000
committerBen Gamari <ben@smart-cactus.org>2023-04-24 06:04:18 -0400
commit1079e23fdc854859de180c55be502ea60f3020c2 (patch)
tree54720e57d150f2947ec8a4da48ff591ae6d8d0b5
parent1a98c968c8b269bd66af3714efd29b579c691576 (diff)
downloadhaskell-1079e23fdc854859de180c55be502ea60f3020c2.tar.gz
Run script
-rw-r--r--run.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100644
index 0000000000..8fa7bbcff8
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,31 @@
+test=testsuite/tests/driver/T20030/test1
+
+run() {
+ (
+ cd $test
+ $WRAPPER \
+ "$HOME/ghc/_build/stage1/bin/ghc" --make \
+ I.hs K.hs \
+ -dcore-lint -dstg-lint -dcmm-lint -no-user-package-db -fno-dump-with-ways \
+ -rtsopts \
+ -v1 -j8 -fforce-recomp +RTS -DS -DZ -N8 -A128k $RTS_FLAGS -RTS \
+ || return 1
+ )
+}
+
+run_many() {
+ while true; do run || break; done
+}
+
+run_rr() {
+ rm -Rf $test/rr.out
+ WRAPPER="$HOME/rr/bin/rr record -h -o rr.out" \
+ RTS_FLAGS=-qn1 \
+ run
+}
+
+run_many_rr() {
+ while true; do run_rr || break; done
+}
+
+run_many